Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Class PersonFactory

    java.lang.Object
      org.jasig.portal.security.PersonFactory

    public class PersonFactory

extends java.lang.Object

Creates a person.

Can create representations of a system user and a guest user.

system users have an ID of 0

guest users have both of the following characteristics

1. User is not successfully authenticated with the portal.
2. User name matches the value of the property `org.jasig.portal.security.PersonFactory.guest_user_name` in `portal.properties`.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`static java.lang.String` | `GUEST_USERNAME` The guest user name specified in portal.properties.

Constructor Summary
`PersonFactory()`

Method Summary
`static IPerson` | `createGuestPerson()` Creates a guest user.
`static IPerson` | `createPerson()` Creates an empty `IPerson` implementation.
`static RestrictedPerson` | `createRestrictedPerson()` Creates a restricted user.
`static IPerson` | `createSystemPerson()` Creates a system user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GUEST_USERNAME

    public static final java.lang.String GUEST_USERNAME

  The guest user name specified in portal.properties.

Constructor Detail

### PersonFactory

    public PersonFactory()

Method Detail

### createPerson

    public static IPerson createPerson()

  Creates an empty `IPerson` implementation.

  Returns:
    an empty `IPerson` implementation

### createSystemPerson

    public static IPerson createSystemPerson()

  Creates a system user.

  Returns:
    a system user

### createGuestPerson

    public static IPerson createGuestPerson()
                                     throws java.lang.Exception

  Creates a guest user.

  Returns:
    guest user
  Throws:
    `java.lang.Exception`

### createRestrictedPerson

    public static RestrictedPerson createRestrictedPerson()

  Creates a restricted user.

  Returns:
    restricted user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD